| POST | /validid/activate | Activate ValidID |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*
@DataContract
open class ActivateValidId : BaseRequest()
{
@DataMember
open var request:ActivateValidIdRequest? = null
}
@DataContract
open class BaseRequest : IBaseRequest
{
/**
* The authentication credentials
*/
@DataMember
@ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
override var authentication:Authentication? = null
}
@DataContract
open class Authentication
{
/**
* The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
*/
@DataMember
@ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
open var apiUserId:String? = null
/**
* The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
*/
@DataMember
@ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
open var apiUserKey:String? = null
/**
* The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
*/
@DataMember
@ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
open var userId:String? = null
}
open class ActivateValidIdRequest
{
open var companyName:String? = null
open var companyAddress:String? = null
open var companyNumber:String? = null
open var name:String? = null
open var position:String? = null
open var signature:String? = null
open var dpaNumber:String? = null
open var amlBodyNumber:String? = null
open var purpose:String? = null
open var classificationId:Int? = null
open var agreeToTerms:Boolean? = null
}
@DataContract
open class ActivateValidIdResponse
{
@DataMember
@SerializedName("data") open var Data:ActivateValidIdData? = null
}
open class ActivateValidIdData : BaseResponse()
{
open var validIdActivated:Boolean? = null
open var agreementText:String? = null
}
open class BaseResponse : IBaseDataResponse, IHasResponseStatus
{
/**
* The status of the response
*/
@ApiMember(Description="The status of the response")
override var responseStatus:ResponseStatus? = null
}
open class ArrayOfResponseError : ArrayList<ResponseError>()
{
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /validid/activate HTTP/1.1
Host: api.simplified.id
Accept: application/json
Content-Type: application/json
Content-Length: length
{"request":{"companyName":"String","companyAddress":"String","companyNumber":"String","name":"String","position":"String","signature":"String","dpaNumber":"String","amlBodyNumber":"String","purpose":"String","classificationId":0,"agreeToTerms":false},"authentication":{"apiUserId":"String","apiUserKey":"String","userId":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"data":{"validIdActivated":false,"agreementText":"String","responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}